git submodule update --init --recursive

最近在跑好几个模型,视频检测,物体检测,搭建mxnet时,有点问题,记录一下。

视频检测,mxnet需要用指定版本,git 切换到指定版本后,update了,但是依然提示说有些库找不到。想了想,应该是recursive没用,可我clone项目时,明明是recursive了,后来一想才明白,估计是master下的库和submodule下的库不一样了。需要在submodule下进行update --recursive. 投靠网络。

 

git submodule update --recursive
git submodule update --init --recursive

https://stackoverflow.com/questions/10168449/git-update-submodule-recursive




 但是后来发现这样编译时还是出问题,cuda编译不过,后来发现cub老无法checkout。编译时cuda就通过不了。后来找到另外一个连接,按照里面的指导,算是可以了,终于编译通过了,但是还是有点问题,cudnn不能用,后来我干脆把cudnn编译不用,就好了,现在可以跑了。https://stackoverflow.com/questions/30348615/git-submodule-checkout-error-fatal-reference-is-not-a-tree

git branch -d master
git fetch --all --prune
git checkout master
git fsck
posted @ 2018-04-25 14:23  caoeryingzi  阅读(3536)  评论(0编辑  收藏  举报